PHP Manual
Prev |  | Next

# mysql_db_name

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

mysql_db_name -- Get result data

## Description

string mysql_db_name ( resource result, int row [, mixed field] )

Retrieve the database name from a call to mysql_list_dbs().

## Parameters

result

  The result pointer from a call to mysql_list_dbs().

row

  The index into the result set.

field

  The field name.

## Return Values

Returns the database name on success, and `FALSE` on failure. If `FALSE` is returned, use mysql_error() to determine the nature of the error.

## Examples

Example 1. mysql_db_name() example
`<?php error_reporting(E_ALL); $link = mysql_connect('dbhost', 'username', 'password'); $db_list = mysql_list_dbs($link); $i = 0; $cnt = mysql_num_rows($db_list); while ($i < $cnt) { echo mysql_db_name($db_list, $i) . "\n"; $i++; } ?>`

## Notes

> Note: For downward compatibility, the following deprecated alias may be used: mysql_dbname()

## See Also

mysql_list_dbs()
mysql_tablename()

Prev | Home | Next
mysql_data_seek | Up | mysql_db_query